{-# OPTIONS_GHC -fth -fglasgow-exts -fallow-undecidable-instances #-}
module FLM.WikiPages where

import HAppS.Data

-- types
$( deriveAll [''Ord, ''Eq, ''Read, ''Show, ''Default]
   [d|
       data PageList    = PageList [WikiPage] -- Feed

       data WikiPage    = WPage Author Id Updated PageName PageText
       newtype Id       = Id Integer
       newtype PageName = PName String
       newtype PageText = PText String
       newtype Updated  = Updated Integer
       newtype Author   = Author String
       newtype Word     = Word String
    |]
 )
